<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<div class="c-hero" id="c{data.uid}">
    <div class="c-hero__container">
        <div class="c-hero__inner">
            <div class="c-hero__row">
                <div class="c-hero__item   c-hero__item--text">
                    <div class="c-hero__text">
                        <f:render section="Header" optional="true">
                            <f:render partial="Header/All" arguments="{_all}" />
                        </f:render>
                        <f:if condition="{data.subheader}">
                            <p>{data.subheader}</p>
                        </f:if>
                    </div>
                </div>

                <f:if condition="{image -> f:count()} > 0">
                    <f:comment><!-- Image --></f:comment>
                    <div class="c-hero__item   c-hero__item--image">
                        <div class="c-hero-header__logo">
                            <f:for each="{image}" as="file">
                                <f:render partial="Media/Type/Image" arguments="{file: file}" />
                            </f:for>
                        </div>
                    </div>
                </f:if>
            </div>

            <f:if condition="{settings.linkToRegistration.enable}">
                <div class="c-hero__registration">
                    <f:if condition="{settings.linkToRegistration.isInternalLink}">
                        <f:then>
                            <f:comment><!-- Link to internal page --></f:comment>
                            <f:link.page
                                pageUid="{settings.linkToRegistration.internal.pageUid}"
                                class="c-hero__registration-link"
                                section="{settings.linkToRegistration.internal.section}"
                            >
                                <f:render section="linkContent" />
                            </f:link.page>
                        </f:then>
                        <f:else>
                            <f:link.typolink
                                parameter="{settings.linkToRegistration.external.parameter}"
                                class="c-hero__registration-link"
                                target="{settings.linkToRegistration.external.target}"
                            >
                                <f:render section="linkContent" />
                            </f:link.typolink>
                        </f:else>
                    </f:if>
                </div>
            </f:if>

            <f:if condition="{settings.socialMedia.enable}">
                <f:comment><!-- Social media channels --></f:comment>
                <div class="c-hero__social">
                    <f:render partial="SocialMedia" arguments="{_all}" />
                </div>
            </f:if>
        </div>
    </div>

    <div class="c-hero__lines">
        <svg width="1177px" height="1119px" viewBox="0 0 1177 1119" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
            <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" opacity="0.301">
                <g id="t3oce_start_v2" transform="translate(415.000000, -10.000000)" fill="#FFFFFF">
                    <g id="lines" transform="translate(173.500000, 569.500000) rotate(-37.000000) translate(-173.500000, -569.500000) translate(-310.000000, 234.000000)">
                        <rect id="Rectangle" x="253.9144" y="230.506593" width="654" height="1"></rect>
                        <rect id="Rectangle-Copy-29" x="233.9144" y="209.506593" width="584" height="1"></rect>
                        <rect id="Rectangle-Copy-30" x="213.9144" y="104.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-31" x="193.9144" y="83.5065928" width="604" height="1"></rect>
                        <rect id="Rectangle-Copy-32" x="173.9144" y="62.5065928" width="524" height="1"></rect>
                        <rect id="Rectangle-Copy-33" x="153.9144" y="41.5065928" width="454" height="1"></rect>
                        <rect id="Rectangle-Copy-34" x="133.9144" y="20.5065928" width="394" height="1"></rect>
                        <rect id="Rectangle-Copy-35" x="113.9144" y="0" width="344" height="1"></rect>
                        <rect id="Rectangle-Copy-5" x="295.096355" y="252.354452" width="654" height="1"></rect>
                        <rect id="Rectangle-Copy-10" x="213.958313" y="358.125837" width="574" height="1"></rect>
                        <rect id="Rectangle-Copy-15" x="236.238245" y="481.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy" x="304.530374" y="188.506593" width="404" height="1"></rect>
                        <rect id="Rectangle-Copy-6" x="282.510262" y="272.393057" width="684" height="1"></rect>
                        <rect id="Rectangle-Copy-11" x="225.980562" y="377.074347" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-16" x="296.434947" y="502.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-2" x="341.82193" y="167.506593" width="314" height="1"></rect>
                        <rect id="Rectangle-Copy-7" x="266.215595" y="294.361262" width="624" height="1"></rect>
                        <rect id="Rectangle-Copy-12" x="168.095032" y="397.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-17" x="212.221384" y="523.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-3" x="374.941425" y="146.506593" width="224" height="1"></rect>
                        <rect id="Rectangle-Copy-8" x="230.828829" y="314.763257" width="644" height="1"></rect>
                        <rect id="Rectangle-Copy-13" x="97.2923439" y="418.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-18" x="261.418696" y="544.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-4" x="264.992949" y="125.506593" width="394" height="1"></rect>
                        <rect id="Rectangle-Copy-9" x="229.846192" y="335.649721" width="684" height="1"></rect>
                        <rect id="Rectangle-Copy-19" x="184.664349" y="460.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-14" x="135.978347" y="439.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-20" x="340" y="565.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-21" x="260" y="585.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-22" x="200" y="606.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-26" x="140" y="627.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-27" x="80" y="648.506593" width="504" height="1"></rect>
                        <rect id="Rectangle-Copy-28" x="0" y="669.506593" width="504" height="1"></rect>
                    </g>
                </g>
            </g>
        </svg>
    </div>
</div>

<f:section name="linkContent">
    <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="22px" height="34px" viewBox="0.198 0.153 22 34" xml:space="preserve">
        <path d="M10.499,31.123L1.773,20.59l-1.07,0.901l10.525,12.596l10.466-12.596l-1.068-0.901l-8.728,10.537V0.5h-1.399V31.123z"/>
    </svg>
    <span><f:translate extensionName="t3oce_sitepackage" key="registration.link.label" /></span>
</f:section>

</html>
